﻿@model ThirdASPNETCore.Models.Department

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Department</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        @*@using (Html.BeginForm("Create", "Department", FormMethod.Post))
        {
            <div class="form-group">
                @Html.LabelFor(model => model.Name)
                @Html.TextBoxFor(model => model.Name)
                @Html.ValidationMessageFor(model => model.Name)
            </div>
            <div class="form-group">
                @Html.LabelFor(model => model.Description)
                @Html.TextBoxFor(model => model.Description)
                @Html.ValidationMessageFor(model => model.Description)
            </div>
            @Html.ValidationSummary()
            <div class="form-group">
                <input type="submit" class="btn btn-dark" value="Add" />
            </div>
        }*@

        <form asp-controller="Department" asp-action="Create" method="post">
            <div class="form-group">
                <label asp-for="Name"></label>
                <input asp-for="Name" class="form-control" type="text">
                <span asp-validation-for="Name" class="error"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description"></label>
                <input asp-for="Description" class="form-control" type="text">
                <span asp-validation-for="Description" class="error"></span>
            </div>
            <div class="form-group error" asp-validation-summary="All"></div>
            <div class="form-group">
                <input type="submit" class="btn btn-dark" value="Add">
            </div>
        </form>
    </div>
</div>

<div>
    @Html.ActionLink("Back to List", "Index", "Department")
</div>

